library verilog;
use verilog.vl_types.all;
entity onchip_memory_0_s1_arbitrator is
    port(
        clk             : in     vl_logic;
        cpu0_data_master_address_to_slave: in     vl_logic_vector(15 downto 0);
        cpu0_data_master_byteenable: in     vl_logic_vector(3 downto 0);
        cpu0_data_master_read: in     vl_logic;
        cpu0_data_master_write: in     vl_logic;
        cpu0_data_master_writedata: in     vl_logic_vector(15 downto 0);
        cpu1_data_master_address_to_slave: in     vl_logic_vector(15 downto 0);
        cpu1_data_master_byteenable: in     vl_logic_vector(3 downto 0);
        cpu1_data_master_read: in     vl_logic;
        cpu1_data_master_write: in     vl_logic;
        cpu1_data_master_writedata: in     vl_logic_vector(15 downto 0);
        d2_reset_n      : in     vl_logic;
        onchip_memory_0_s1_readdata: in     vl_logic_vector(15 downto 0);
        cpu0_data_master_granted_onchip_memory_0_s1: out    vl_logic;
        cpu0_data_master_qualified_request_onchip_memory_0_s1: out    vl_logic;
        cpu0_data_master_read_data_valid_onchip_memory_0_s1: out    vl_logic;
        cpu0_data_master_requests_onchip_memory_0_s1: out    vl_logic;
        cpu1_data_master_granted_onchip_memory_0_s1: out    vl_logic;
        cpu1_data_master_qualified_request_onchip_memory_0_s1: out    vl_logic;
        cpu1_data_master_read_data_valid_onchip_memory_0_s1: out    vl_logic;
        cpu1_data_master_requests_onchip_memory_0_s1: out    vl_logic;
        cpu1_data_master_s_turn_at_onchip_memory_0_s1: out    vl_logic;
        d1_cpu0_data_master_granted_onchip_memory_0_s1: out    vl_logic;
        d1_cpu1_data_master_granted_onchip_memory_0_s1: out    vl_logic;
        d1_onchip_memory_0_s1_end_xfer: out    vl_logic;
        onchip_memory_0_s1_address: out    vl_logic_vector(9 downto 0);
        onchip_memory_0_s1_readdata_from_sa: out    vl_logic_vector(15 downto 0);
        onchip_memory_0_s1_reset_n: out    vl_logic;
        onchip_memory_0_s1_writebyteenable: out    vl_logic_vector(1 downto 0);
        onchip_memory_0_s1_writedata: out    vl_logic_vector(15 downto 0)
    );
end onchip_memory_0_s1_arbitrator;
